"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const classnames_1 = require("classnames");
const React = require("react");
const styles = require("../style.scss");
const createElements = (anchors) => {
    const items = anchors.map(item => {
        return (React.createElement("li", { className: styles.navItem, key: item.text },
            React.createElement("a", { href: "#", onClick: item.onClick, className: classnames_1.default(styles.navLink, item.isActive ? styles.active : "") }, item.text)));
    });
    return React.createElement("ul", { className: classnames_1.default(styles.nav, styles.flexColumn) }, items);
};
exports.createElements = createElements;
const createTextNode = (props, pos, onClick) => {
    return (React.createElement("text", { transform: `translate(${pos.x + 15},${pos.y - 10})`, textAnchor: "end" },
        React.createElement("a", { href: "#", rel: "noopener", onClick: () => onClick(props.item.name) }, props.item.name)));
};
exports.createTextNode = createTextNode;
//# sourceMappingURL=Button.js.map