"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const d3 = require("d3");
const React = require("react");
const uuid = require("uuid");
function generateTree(rootNode) {
    const nodeSize = { x: 140, y: 140 };
    const tree = d3
        .tree()
        .nodeSize(orientation === "horizontal" ? [nodeSize.y, nodeSize.x] : [nodeSize.x, nodeSize.y])
        .separation((a, b) => (a.parent && b.parent && a.parent.id === b.parent.id ? 1 : 2));
    const nodes = tree(rootNode);
    if (nodes.children) {
        nodes.children.forEach(node => {
            node.y = node.depth * 0.1;
        });
    }
    return { nodes, links: nodes.links() };
}
class Dendrogram extends React.Component {
    constructor(props) {
        super(props);
    }
    render() {
        console.log(this.props.data);
        const { nodes } = generateTree(d3.hierarchy(this.props.data));
        const points = nodes.leaves().map(child => React.createElement("g", { key: uuid.v4(), transform: `translate(${child.x}, ${child.y})`, orient: "Left" }));
        return (React.createElement("svg", { width: "800", height: "600" }, points));
    }
}
exports.Dendrogram = Dendrogram;
exports.Component = Dendrogram;
//# sourceMappingURL=Dendrogram.js.map