"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const server_1 = require("react-dom/server");
const App = require("./App");
const parser_1 = require("./parser");
exports.IS_BROWSER = typeof window !== "undefined" && "HTMLElement" in window;
exports.getPackageJson = (filePath) => require(filePath);
exports.generateTreeData = (start, pkg) => {
    if (!start) {
        return undefined;
    }
    const treeData = {
        name: start,
        children: [],
    };
    parser_1.makeChain(treeData, pkg);
    return treeData;
};
exports.generateSsrHtml = (props) => {
    return server_1.renderToString(React.createElement(App.Component, Object.assign({}, props)));
};
//# sourceMappingURL=generator.js.map