"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express = require("express");
const fs = require("fs");
const path = require("path");
exports.createServer = (baseDir, inputFile) => {
    let cacheTemplate;
    const packageJsonFile = path.join(baseDir, inputFile);
    const app = express();
    const pkg = require(packageJsonFile);
    const applyProps = () => {
        const props = { raw: pkg };
        const template = cacheTemplate ? cacheTemplate : fs.readFileSync(path.join(baseDir, "build/index.html"), { encoding: "utf-8" });
        cacheTemplate = template;
        return template.replace("{{ SSR_DOM }}", "").replace("{{ SSR_INITIAL_STATE }}", JSON.stringify(props));
    };
    app.use("/static", express.static("build/static"));
    app.use("/stylesheets", express.static("build/stylesheets"));
    app.get("*", (req, res) => {
        res.send(applyProps());
        res.end();
    });
    return app;
};
//# sourceMappingURL=server.js.map